package com.xkrs.model.qo;

import com.xkrs.model.va.CraftItemQoInsertVa;

import javax.validation.constraints.NotBlank;

/**
 * 新增工艺项目接收类
 */
public class CraftItemQoInsert {

    /**
     * 编号
     */
    @NotBlank(message = "{CraftItemEntity.no.blank}", groups = {CraftItemQoInsertVa.class})
    private String no;

    /**
     * 名称
     */
    @NotBlank(message = "{CraftItemEntity.name.blank}", groups = {CraftItemQoInsertVa.class})
    private String name;

    public CraftItemQoInsert() {
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "CraftItemQoInsert{" + "no='" + no + '\'' + ", name='" + name + '\'' + '}';
    }
}
