package com.xkrs.model.qo;

import com.xkrs.model.va.CraftItemQoUpdateVa;

import javax.validation.constraints.NotBlank;

public class CraftItemQoUpdate {

    /**
     * 主键id
     */
    @NotBlank(message = "{CraftItemEntity.id.blank}", groups = {CraftItemQoUpdateVa.class})
    private Integer id;

    /**
     * 名称
     */
    @NotBlank(message = "{CraftItemEntity.name.blank}", groups = {CraftItemQoUpdateVa.class})
    private String name;

    public CraftItemQoUpdate() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "CraftItemQoUpdate{" + "id=" + id + ", name='" + name + '\'' + '}';
    }
}
