package com.xkrs.model.qo;

import com.xkrs.model.va.ExportSourceExcelQoVa;

import javax.validation.constraints.NotBlank;

public class ExportSourceExcelQo {

    /**
     * IP端口
     */
    @NotBlank(message = "{QcSourceEntity.host.blank}", groups = {ExportSourceExcelQoVa.class})
    private String host;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 机器号
     */
    private String machineNo;

    /**
     * 物料号
     */
    private String materialNo;

    /**
     * 模具号
     */
    private String mouldNo;

    /**
     * 机种号
     */
    private String varietyNo;

    /**
     * 工艺项目编号
     */
    private String craftItemNo;

    public ExportSourceExcelQo() {
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getMouldNo() {
        return mouldNo;
    }

    public void setMouldNo(String mouldNo) {
        this.mouldNo = mouldNo;
    }

    public String getVarietyNo() {
        return varietyNo;
    }

    public void setVarietyNo(String varietyNo) {
        this.varietyNo = varietyNo;
    }

    public String getCraftItemNo() {
        return craftItemNo;
    }

    public void setCraftItemNo(String craftItemNo) {
        this.craftItemNo = craftItemNo;
    }

    @Override
    public String toString() {
        return "ExportExcelQo{" + "host='" + host + '\'' + ", batchNo='" + batchNo + '\'' + ", machineNo='" + machineNo + '\'' + ", materialNo='" + materialNo + '\'' + ", mouldNo='" + mouldNo + '\'' + ", varietyNo='" + varietyNo + '\'' + ", craftItemNo='" + craftItemNo + '\'' + '}';
    }
}
