package com.xkrs.service;

import com.xkrs.model.qo.ExportSourceExcelQo;
import com.xkrs.model.qo.QcSourceQoDelete;
import com.xkrs.model.qo.QcSourceQoInsert;
import org.springframework.web.multipart.MultipartFile;

public interface QcSourceService {

    /**
     * 添加检验数据
     */
    String insertQcSource(QcSourceQoInsert insertQo, MultipartFile picture);

    /**
     * 删除检验数据
     */
    String deleteQcSource(QcSourceQoDelete deleteQo);

    /**
     * 查询检验数据
     */
    String queryQcSource(String batchNo, String machineNo, String materialNo, String mouldNo, String varietyNo, String craftItemNo);

    /**
     * 导出Excel表格
     */
    String exportExcel(ExportSourceExcelQo exportSourceExcelQo) throws Exception;

}
