package com.xkrs.model.qo;

import com.xkrs.model.va.CraftItemQoDeleteVa;

import javax.validation.constraints.NotBlank;

/**
 * 删除工艺项目接收类
 */
public class CraftItemQoDelete {

    /**
     * 主键id
     */
    @NotBlank(message = "{CraftItemEntity.id.blank}", groups = {CraftItemQoDeleteVa.class})
    private Integer id;

    public CraftItemQoDelete() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "CraftItemQoDelete{" + "id=" + id + '}';
    }
}
