package com.xkrs.model.qo;

import com.xkrs.model.va.QcItemQoUpdateVa;

import javax.validation.constraints.NotBlank;

/**
 * 更新检验项目接收类
 */
public class QcItemQoUpdate {

    /**
     * 主键id
     */
    @NotBlank(message = "{QcItemEntity.id.blank}", groups = {QcItemQoUpdateVa.class})
    private Integer id;

    /**
     * 名称
     */
    @NotBlank(message = "{QcItemEntity.name.blank}", groups = {QcItemQoUpdateVa.class})
    private String name;

    public QcItemQoUpdate() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "QcItemQoUpdate{" + "id=" + id + ", name='" + name + '\'' + '}';
    }
}
