package com.xkrs.service;

import com.xkrs.model.qo.CraftItemQoDelete;
import com.xkrs.model.qo.CraftItemQoInsert;
import com.xkrs.model.qo.CraftItemQoUpdate;

public interface CraftItemService {

    /**
     * 添加工艺项目
     */
    String insertCraftItem(CraftItemQoInsert insertQo);

    /**
     * 删除工艺项目
     */
    String deleteCraftItem(CraftItemQoDelete deleteQo);

    /**
     * 更新工艺项目名称
     */
    String updateCraftItem(CraftItemQoUpdate updateQo);

    /**
     * 查询工艺项目
     */
    String queryCraftItem(String no, String name);

}
