package com.xkrs.util;

import net.sf.jxls.transformer.XLSTransformer;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;

import java.io.IOException;
import java.util.Map;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/17 8:56
 */
public class ExportExcel {

    public static String exportToProveExcel(Map<String, String> dataMap, String srcFilePath) throws IOException, InvalidFormatException {
        String s = System.currentTimeMillis() + ".xlsx";
        //String path = "E:/shop/"+s;
        String path = "/home/sxy/server/industrial_measurement/excel/" + s;
        //  开始转换。利用  transformer 转到Excel
        XLSTransformer transformer = new XLSTransformer();
        // 参数：srcFilePath：模板源文件    cMap：需要导出的数据   destFile.getAbsolutePath()：下载的目标文件
        transformer.transformXLS(srcFilePath, dataMap, path);
        //return "http://192.168.2.139/"+s;
        return "http://118.24.27.47:2088/excel/" + s;
    }

}
