package com.xkrs.util;

import java.text.DecimalFormat;

public class LocalDoubleUtils {

    private static final DecimalFormat decimalFormat = new DecimalFormat("0.000");

    private LocalDoubleUtils() {
    }

    public static String keepThreeDecimal(String value) {
        return keepThreeDecimal(Double.parseDouble(value));
    }

    public static String keepThreeDecimal(double value) {
        return decimalFormat.format(value);
    }

}
